Last Comment Bug 642148 - Upgrade Mozilla to NSS 3.12.10
: Upgrade Mozilla to NSS 3.12.10
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Security: PSM (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Kai Engert (:kaie)
:
Mentors:
Depends on:
Blocks: psm-pkix 642144 651897
  Show dependency treegraph
 
Reported: 2011-03-16 09:19 PDT by Kai Engert (:kaie)
Modified: 2012-02-28 15:54 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Beta upgrade action (134 bytes, text/plain)
2011-05-04 02:02 PDT, Kai Engert (:kaie)
kaie: review+
Details
patch - set version and tag info numbers to final (2.61 KB, patch)
2011-05-23 05:57 PDT, Kai Engert (:kaie)
kaie: review+
Details | Diff | Splinter Review
patch 2 - set version and tag info numbers to final (3.34 KB, patch)
2011-05-23 06:00 PDT, Kai Engert (:kaie)
kaie: review+
Details | Diff | Splinter Review

Description Kai Engert (:kaie) 2011-03-16 09:19:48 PDT
Eventually we'll upgrade Mozilla to NSS 3.12.10

This release is not yet ready, but I'm filing this bug early, for tracking of depdencies.
Comment 1 Kai Engert (:kaie) 2011-05-04 02:02:13 PDT
Created attachment 529949 [details]
Beta upgrade action

We are very close to releasing NSPR 4.8.8 and NSS 3.12.10
We performed QA, both NSS QA and mozilla-central try server builds.

The only remaining issue is NSPR patch bug 645459, which causes a build failure on OSX 64 bit.

I have backed out that patch.

I have verbal agreement (review) from Wan-Teh Chang, Bob Relyea and Brian Smith that we want to land these betas into mozilla-central.

I don't attach a patch. It's large, instead, I'm attaching the tags/commands that are used to land this patch.
Comment 2 Kai Engert (:kaie) 2011-05-04 02:03:42 PDT
I expect that the final releases can be landed within the next couple of days. Most likely, the only change will be the version numbers embedded in the files.

I want to land these nearly-final-betas now, because they are blocking other work (respindola pushes me to get this done).
Comment 3 Kai Engert (:kaie) 2011-05-04 03:24:45 PDT
landed betas:
http://hg.mozilla.org/mozilla-central/rev/d30b2e9c999a

backout on top:
http://hg.mozilla.org/mozilla-central/rev/c89356582dc9

Because I made that backout on nspr trunk, I didn't add information to the tree about the backout.


Keeping bug open, because we to land the final versions, soon.


Wan-Teh:
Glandium has asked me to upgrade a snapshot newer than nspr-beta3, because he is waiting for another patch to configure. But the latest nspr trunk hasn't been tested with tryserver yet, I didn't want to skip my tested snapshot, and I didn't want to tag an updated beta without having asked you.

Are you going to tag a beta 4?
Comment 4 Kai Engert (:kaie) 2011-05-04 06:00:57 PDT
sorry, had to back things out, because of confusion around bug 345094
Comment 5 Kai Engert (:kaie) 2011-05-05 14:02:14 PDT
relanded the beta versions:
http://hg.mozilla.org/mozilla-central/rev/29f3dc7ad5db

This time it appears to stick.

I will keep this bug open.
We will very soon have the final release of NSPR/NSS.
It's expected that only the version names inside the files will change.

I will land the changes to the final version within the next days.
Comment 6 Wan-Teh Chang 2011-05-06 15:14:35 PDT
I pushed NSPR_4_8_8_RTM to mozilla-central:
http://hg.mozilla.org/mozilla-central/rev/263ea410a1f9
Comment 7 Kai Engert (:kaie) 2011-05-23 05:57:53 PDT
Created attachment 534405 [details] [diff] [review]
patch - set version and tag info numbers to final

There were no code changes between the beta version (that has already landed on mozilla-central a while ago) and the final release version.

This patch is necessary to bring the version numbers in synch with the final release, it was produced using

cvs -q rdiff -u -r NSS_3_12_10_BETA1 -r NSS_3_12_10_RTM mozilla/dbm mozilla/security/dbm mozilla/security/coreconf mozilla/security/nss

(plus the TAG-INFO file that we keep in synch).


Given that there are no code changes, r=me
Comment 8 Kai Engert (:kaie) 2011-05-23 06:00:00 PDT
Created attachment 534407 [details] [diff] [review]
patch 2 - set version and tag info numbers to final
Comment 9 Kai Engert (:kaie) 2011-05-23 06:26:31 PDT
I pushed the missing version number to change to 3.12.10 final.

http://hg.mozilla.org/mozilla-central/rev/b26980e3622a

Note You need to log in before you can comment on or make changes to this bug.